/*========================================================================
    Copyright (C) 1999  Ing Krippel Harald
    E-Mail: neuro.harald@surfeu.at

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

========================================================================*/
#include <Application.h>
#include <String.h>

#include "ErrWindow.h"
#include "ErrView.h"
#include "evolut.h"


ErrView	*eView;

ErrWindow::ErrWindow(BRect frame)
				: BWindow(frame, "ErrWindow", B_TITLED_WINDOW, B_NOT_ZOOMABLE )
{
	SetPulseRate(300);
	// set up a rectangle and instantiate a new view
	BRect aRect( Bounds() );
	eView = new ErrView(aRect, "ErrView");
	// add view to window
	AddChild(eView);
}

bool ErrWindow::QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return(true);
}